* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  min-height: 100vh;
  min-width: 100vw;
  background-color: #E7F1F1;
}
body {
  min-height: 100vh;
  min-width: 100vw;
  font-family: 'Poppins', sans-serif;
}
header {
  text-align: center;
  margin-top: 75px;
  margin-bottom: 75px;
}
h1 {
  margin-top: 100px;
  margin-bottom: 100px;
  text-align: center;
  font-size: 85px;
  font-weight: 800;
  width: 70vw;
}
h2 {
  text-align: center;
}
main {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  width: 70vw;
}
figcaption{
  text-align: center;
  margin-top: 8px;
  font-size: 20px;
}
p {
  text-align:center;
  align-self: center;
}
button {
  outline: none;
}
.color-box-figure  {
  position: relative;
  width: 160px;
  height: 160px;
  background-color: #ffffff;
  margin: 10px;
  border: 5px solid #000000;
}
.lock-icon {
  position: absolute;
  bottom: 10px;
  right: 8px;
  width: 40px;
  height: 40px;
  background-size: contain;
  background-repeat: no-repeat;
  cursor: pointer;
}
.unlocked-icon {
  background-image: url('./assets/unlocked.png');
}
.locked-icon {
  background-image: url('./assets/locked.png');
}
.save-button, .color-button {
  width: 18vw;
  height: 6vh;
  background-color: #000000;
  color: #ffffff;
  font-size: 25px;
  font-weight: 100;
  font-family: 'Poppins', sans-serif;
  font-weight: 200;
  border-radius: 0px 45px 0px 45px;
  margin-top: 20px;
}
.color-button-container {
  display: flex;
  justify-content: center;
  margin-top: 50px;
  width: 70vw;
  gap: 100px;
}
.saved-palettes-panel {
  display: flex;
  flex-direction: column;
  position: fixed;
  right: 0;
  top: 0;
  width: 30vw;
  height: 100vh;
  overflow: auto;
  padding: 15px;
  background-color: #e7f1f1;
  border-left: 5px solid #000000;
}
.saved-palettes-text {
  margin-top: 30px;
  font-family: 'Poppins', sans-serif;
  font-size: 40px;
  color: #000000;
}
.saved-palettes-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
}
.palette {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin: 10px;
}
.palette .mini-color-box {
  width: 55px;
  height: 55px;
  background-color: #ffffff;
  margin: 0.5px;
  border: 5px solid #000000;

}
.no-saved-palettes-msg {
  font-size: 24px;
  font-style: italic;
}
.delete-palette {
  background-image: url('./assets/delete.png');
  background-size: contain;
  background-color: transparent;
  width: 40px;
  height: 40px;
  cursor: pointer;
  border: none;
  outline: none;
}